// components/mypicher/mypicker.js

Component({
  // options: {
  //   multipleSlots: true // 在组件定义时的选项中启用多slot支持
  // },
  /**
  * 组件的属性列表
  */
  properties: {
    // isShow: {
    //   type: Boolean, // 类型（必填），目前接受的类型包括：String, Number, Boolean, Object, Array, null（表示任意类型）
    //   value: false, // 属性初始值（可选），如果未指定则会根据类型选择一个
    // },
    column: String,
    // value: {
    //   type: Array, // 类型（必填），目前接受的类型包括：String, Number, Boolean, Object, Array, null（表示任意类型）
    //   value: [0,0,0], // 属性初始值（可选），如果未指定则会根据类型选择一个
    //   observer: function (newVal, oldVal) { // 属性被改变时执行的函数（可选）
    //     console.log(newVal, oldVal)
    //     this.setData({
    //       value: newVal
    //     })
    //   }
    // },
    // list:{//格式[{name:"",data:[{name:"",data:[]}]}]
    //   type: Array, // 类型（必填），目前接受的类型包括：String, Number, Boolean, Object, Array, null（表示任意类型）
    //   value: [], // 属性初始值（可选），如果未指定则会根据类型选择一个
    //   observer: function (newVal, oldVal) { // 属性被改变时执行的函数（可选）
    //     let inx = this.data.value
    //     console.log(newVal)
    //     console.log(oldVal)
    //     console.log(this.data.column)
    //     if (this.data.column=="2"){
    //       this.setData({
    //         secondClo: newVal[inx[0]].data
    //       })
    //     }
    //     if (this.data.column == "3") {
    //       this.setData({
    //         secondClo: newVal[inx[0]].data,
    //         thirdClo: newVal[inx[0]].data[inx[1]].data
    //       })
    //     }
    //   }
    // }
    initValue: { // 初始化日期
      type: String,
      value: ''
    },
    list: {
      type: Array,
      value: []
    }
  },

  /**
  * 组件的初始数据
  */

  data: {
    // isShow: false,
    flag: true, //是否显示
    secondClo:[],
    thirdClo:[],

    setValues: [],
  },

  /**
  * 组件的方法列表
  */

  methods: {
    bindChange: function (e) {
      // const newVal = e.detail.value
      // const oldVal = this.data.value
      // let data = this.data.list
      // if (this.data.column == "2") {
      //   if (oldVal[0] != newVal[0]){
      //     this.setData({
      //       secondClo: data[newVal[0]].data
      //     })
      //   }
      // }

      // if (this.data.column == "3") {
      //   if (oldVal[0] != newVal[0]) {
      //     this.setData({
      //       secondClo: data[newVal[0]].data,
      //       thirdClo: data[newVal[0]].data[0].data
      //     })
      //   }
      //   if (oldVal[1] != newVal[1]) {
      //     this.setData({
      //     thirdClo: data[newVal[0]].data[newVal[1]].data
      //     })
      //   }
      // }

      // this.setData({
      //   value: e.detail.value
      // })
      this.setData({
        setValues: e.detail.value
      })

    },
    // 阻止content冒泡
    contentcatchtap: function(){},

    //隐藏弹框
    hidePicker: function () {
      this.setData({
        flag: !this.data.flag
      })
    },
    //展示弹框
    showPicker() {
      this.setData({
        flag: !this.data.flag
      })
      this._getItems()
    },

    /*
    * 内部私有方法建议以下划线开头
    * triggerEvent 用于触发事件
    */
    _successEvent() {
      console.log("_success")
      console.log(this.data.list)
      console.log(this.data.setValues)
      let item = this.data.list[this.data.setValues[0]]
      console.log(item)
      // //触发成功回调
      // var confirmDetail = this.data.value
      // // console.log(this.data.value)
      this.setData({
        flag: !this.data.flag
      })
      this.triggerEvent('confirm', this.data.setValues)
    },
    
    // 获取初始化信息
    _getItems(e) {
      if (this.data.list.length && this.data.initValue) {
        let items = this.data.list
        for (let i = 0; i < items.length; i++) {
          if (this.data.initValue == items[i].id) {
            this.setData({
              setValues: [i]
            })
            return
          }
        }
      }
      this.setData({
        setValues: [0]
      })
    },
  }
})